### Function

# WebKit Settings get_all_features

since: 2.42

#### Declaration [src]

    WebKitFeatureList*
    webkit_settings_get_all_features (
      void
    )

#### Description [src]

Gets the list of all available WebKit features.

Features can be toggled with `webkit_settings_set_feature_enabled()`, and their current state determined with `webkit_settings_get_feature_enabled()`.

Note that most applications should use `webkit_settings_get_development_features()` and `webkit_settings_get_experimental_features()` instead.

Available since: 2.42

#### Return value

Type: `WebKitFeatureList`

List of all features.

The caller of the function takes ownership of the data, and is responsible for freeing it.